MikroTik RouterOS HTTP Server Arbitrary Write RCE (ChimayRed)

critical Nessus Plugin ID 99763

Synopsis

The remote host is affected by a remote code execution vulnerability.

Description

The MikroTik RouterOS software running on the remote host is affected by a flaw in its HTTP web server process due to improper validation of user-supplied input. An unauthenticated, remote attacker can exploit this, via a specially crafted POST request, to write data to an arbitrary location within the web server process, resulting in a denial of service condition or the execution of arbitrary code.

Note that this vulnerability is reportedly part of the ChimayRed exploit from the Vault 7 leaks.

Solution

Upgrade to MikroTik RouterOS version 6.38.5 or later.

See Also

https://mikrotik.com/download/changelogs/#tab-tree_3

Plugin Details

Severity: Critical

ID: 99763

File Name: mikrotik_http_stack_control.nasl

Version: 1.6

Type: remote

Family: Misc.

Published: 5/1/2017

Updated: 4/11/2022

Configuration: Enable thorough checks

Risk Information

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.4

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:mikrotik:routeros

Required KB Items: MikroTik/RouterOS/Version

Exploited by Nessus: true

Patch Publication Date: 3/9/2017

Vulnerability Publication Date: 3/9/2017